{
  "compilerOptions": {
    "allowSyntheticDefaultImports": true,
    "declaration": false,
    "emitDecoratorMetadata": true,
    "experimentalDecorators": true,
    "importHelpers": true,
    "noUnusedLocals": true,
    "noUnusedParameters": true,
    "noImplicitReturns": true,
    "noFallthroughCasesInSwitch": true,
    "lib": ["dom", "es2015", "es2017"],
    "module": "es2015",
    "moduleResolution": "node",
    "sourceMap": true,
    "target": "es6",
    "baseUrl": "./"
  },
  "include": ["src/**/*.ts", "scripts/setenv.ts"],
  "exclude": ["node_modules","**/*.spec.ts"],
  "compileOnSave": false,
  "atom": {
    "rewriteTsconfig": false
  },
  "rules": {
    "no-console": false
  }
}
